logo
TagsDelete tag
Tags

Delete tag

Deletes a tag label from the workspace. Also removes this tag from all campaign leads that have it assigned (unsets aiTag and aiTaggedAt).

curl -X DELETE "https://api.sendkit.ai/v1/tags/interested" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: YOUR_API_KEY" \
  -H "Authorization: Bearer YOUR_API_TOKEN"
{
  "success": true,
  "data": {
    "message": "Tag deleted"
  }
}
DELETE
/v1/tags/{name}
DELETE
API Key (header: X-Api-Key)
X-Api-Keystring
Required

Platform API key (sk_user_...) or Workspace API key (sk_...)

Platform API key (sk_user_...) or Workspace API key (sk_...)
Bearer Token
Bearer Tokenstring
Required

API key as Bearer token

API key as Bearer token
path
namestring
Required

Tag label name (exact match)

Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-Api-Keystring
Required

API Key for authentication. Platform API key (sk_user_...) or Workspace API key (sk_...)

header
Authorizationstring
Required

Bearer token. API key as Bearer token

Path Parameters

namestring
Required

Tag label name (exact match)

Responses

successboolean
dataobject